> ## Documentation Index
> Fetch the complete documentation index at: https://honcho.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Conclusions

> Query Conclusions using semantic search. Use `top_k` to control the number of results returned.



## OpenAPI

````yaml post /v3/workspaces/{workspace_id}/conclusions/query
openapi: 3.1.0
info:
  title: Honcho API
  summary: The Identity Layer for the Agentic World
  description: >-
    Honcho is a platform for giving agents user-centric memory and social
    cognition.
  contact:
    name: Plastic Labs
    url: https://honcho.dev/
    email: hello@plasticlabs.ai
  license:
    name: GNU Affero General Public License v3.0
    url: https://github.com/plastic-labs/honcho/blob/main/LICENSE
  version: 3.6.0
servers:
  - url: https://api.honcho.dev
    description: Production SaaS Platform
security: []
paths:
  /v3/workspaces/{workspace_id}/conclusions/query:
    post:
      tags:
        - conclusions
      summary: Query Conclusions
      description: >-
        Query Conclusions using semantic search. Use `top_k` to control the
        number of results returned.
      operationId: query_conclusions_v3_workspaces__workspace_id__conclusions_query_post
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            title: Workspace Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConclusionQuery'
              description: Semantic search parameters for Conclusions
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Conclusion'
                title: >-
                  Response Query Conclusions V3 Workspaces  Workspace Id 
                  Conclusions Query Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ConclusionQuery:
      properties:
        query:
          type: string
          title: Query
          description: Semantic search query
        top_k:
          type: integer
          maximum: 100
          minimum: 1
          title: Top K
          description: Number of results to return
          default: 10
        distance:
          anyOf:
            - type: number
              maximum: 1
              minimum: 0
            - type: 'null'
          title: Distance
          description: Maximum cosine distance threshold for results
        filters:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Filters
          description: Additional filters to apply
      type: object
      required:
        - query
      title: ConclusionQuery
      description: Query parameters for semantic search of conclusions.
    Conclusion:
      properties:
        id:
          type: string
          title: Id
        content:
          type: string
          title: Content
        observer_id:
          type: string
          title: Observer Id
          description: The peer who made the conclusion
        observed_id:
          type: string
          title: Observed Id
          description: The peer the conclusion is about
        session_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Session Id
        level:
          type: string
          enum:
            - explicit
            - deductive
            - inductive
            - contradiction
          title: Level
          description: >-
            Reasoning level of the conclusion: 'explicit' (directly extracted
            from messages) or 'deductive'/'inductive'/'contradiction' (derived
            during dreaming).
          default: explicit
        source_ids:
          items:
            type: string
          type: array
          title: Source Ids
          description: >-
            IDs of the conclusions this one was derived from: premises for
            'deductive', supporting sources for 'inductive', conflicting
            conclusions for 'contradiction'. Empty for 'explicit' conclusions,
            which derive from messages rather than from other conclusions.
        source_message_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Source Message Ids
          description: >-
            IDs of the messages the deriver cited as evidence for an 'explicit'
            conclusion, in citation order. Evidence may include messages from
            peers other than the observed one. None for derived levels and for
            conclusions written before citations were recorded.
        times_derived:
          type: integer
          title: Times Derived
          description: Number of times this conclusion has been independently derived.
          default: 1
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - content
        - observer_id
        - observed_id
        - created_at
      title: Conclusion
      description: Conclusion response - external view of a document.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.